import { useCallback } from "react";
import useHttpRequest from "./useHttpRequest";
import { get } from "../utils/axios";

const cdn = process.env.REACT_APP_CDN_URL;
const endpoints = {
  mimeTypes: `${cdn}/admin/mime-types`
};

const useDictionariesApi = () => {
  const { exec } = useHttpRequest();

  const getMimeTypes = useCallback(
    (options) => {
      const promise = exec(() => get(endpoints.mimeTypes), options);
      return promise;
    },
    [exec]
  );

  return {
    getMimeTypes
  };
};

export default useDictionariesApi;
